Bug 557546 - Review Request: telepathy-sunshine - Gadu-Gadu connection manager for telepathy
Summary: Review Request: telepathy-sunshine - Gadu-Gadu connection manager for telepathy
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrick Dignan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-21 19:22 UTC by Julian Sikorski
Modified: 2010-03-23 23:30 UTC (History)
3 users (show)

Fixed In Version: telepathy-sunshine-0.1.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-23 23:18:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dignan.patrick: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Julian Sikorski 2010-01-21 19:22:10 UTC
Spec URL: http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine.spec
SRPM URL: http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine-0.1.5-1.fc12.src.rpm
Description: Telepathy-sunshine is a Gadu-Gadu network connection manager. It supports the GG8 aka Nowe Gadu Gadu features such as UTF-8 encoding and new statuses.

Package builds fine in mock (F12/x86_64). rpmlint is silent.

Comment 1 Patrick Dignan 2010-01-31 23:38:05 UTC
This package has one inconsistent use of macros in the %files section.  I was also unable to make the package work.  Did you get a chance to resolve these issues?

Comment 2 Julian Sikorski 2010-02-01 07:32:14 UTC
I fixed the macro. I was unable to reproduce the "package not working" part, though. I might try to set up a rawhide VM, but I have a 3G modem right now, so I need to find a better connection to do that.

Comment 3 Julian Sikorski 2010-02-06 09:40:56 UTC
Spec URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine.spec
SRPM URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine-0.1.5-3.20100202git.fc12.src.rpm

New release, I packaged the latest git snapshot. Changes:
- Updated to the git snapshot
- Changed license to GPLv3+
- Added python-oauth to Requires
- Use %%{name} macro in %%files

Maybe you'll have more luck making this one work. I'll have another shot at setting up a rawhide VM tomorrow.

Comment 4 Patrick Dignan 2010-02-08 17:56:22 UTC
I tried this one in a new F12 VM that is up-to-date, but I still didn't see an option for adding Gadu-Gadu accounts once I removed telepathy-haze.  I can try it in my rawhide VM as well if you'd like.

Comment 5 Julian Sikorski 2010-02-08 21:09:02 UTC
Spec URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine.spec
SRPM URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine-0.1.5-4.20100208git.fc12.src.rpm

New release:
- Updated to the latest git snapshot
- Added libtelepathy to Requires as a workaround

This should work now. Once I prove that having -haze installed is enough, I'll drop the libtelepathy dependency.

Comment 6 Julian Sikorski 2010-02-18 17:12:30 UTC
Spec URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine.spec
SRPM URL:
http://belegdol.fedorapeople.org/telepathy-sunshine/telepathy-sunshine-0.1.6-1.fc12.src.rpm

New release:
- Updated to 0.1.6
- Dropped libtelepathy requirement, -haze is enough

As in changelog. I installed F-12 VM, and then removed -haze and installed -sunshine. There was no gadugadu in the list. But, installing -haze was enough to make the protocol appear in the list. Avatars work, which means that the right CM is used, and the protocol stays there even after -haze is gone. No need to drag in libtelepathy.

Comment 7 Patrick Dignan 2010-02-21 19:30:12 UTC
I have tested this and it now works, spec file meets requirements.  Review passed :)

Comment 8 Julian Sikorski 2010-02-21 19:57:42 UTC
New Package CVS Request
=======================
Package Name: telepathy-sunshine
Short Description: Gadu-Gadu connection manager for telepathy
Owners: belegdol
Branches: F-13 F-12 F-11
InitialCC:

Comment 9 Jason Tibbitts 2010-02-22 20:10:51 UTC
This review is really light on substance, and it looks to me as if this is the
first review done by this reviewer.

I'm going to hold off on processing CVS for this ticket until either we get a
more substantive review or one of the CVS admins has a chance to double check
everything.

Comment 10 Kevin Fenzi 2010-03-06 05:38:39 UTC
I went ahead and looked this over more closely. 
This is a pretty simple package and I don't see anything outstanding on it. 

It is very helpful to use a checklist and slow each of the items so people 
looking at the review can confirm that things were checked. 

CVS done (by process-cvs-requests.py).

Comment 11 Fedora Update System 2010-03-06 07:56:11 UTC
telepathy-sunshine-0.1.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc13

Comment 12 Fedora Update System 2010-03-06 07:57:42 UTC
telepathy-sunshine-0.1.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc12

Comment 13 Fedora Update System 2010-03-06 07:59:18 UTC
telepathy-sunshine-0.1.6-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc11

Comment 14 Fedora Update System 2010-03-09 03:17:38 UTC
telepathy-sunshine-0.1.6-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-sunshine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc11

Comment 15 Fedora Update System 2010-03-09 03:23:11 UTC
telepathy-sunshine-0.1.6-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-sunshine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc13

Comment 16 Fedora Update System 2010-03-09 03:30:01 UTC
telepathy-sunshine-0.1.6-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update telepathy-sunshine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/telepathy-sunshine-0.1.6-1.fc12

Comment 17 Fedora Update System 2010-03-23 23:18:47 UTC
telepathy-sunshine-0.1.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-03-23 23:29:07 UTC
telepathy-sunshine-0.1.6-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-03-23 23:30:09 UTC
telepathy-sunshine-0.1.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.